El iPad, el iOS6 y la obsolescencia programada

Con este título tan peliculero, al más puro estilo: El bueno, el feo y el malo , os vamos a hablar sobre las consecuencias de iOS6 sobre l...

Con este título tan peliculero, al más puro estilo: El bueno, el feo y el malo, os vamos a hablar sobre las consecuencias de iOS6 sobre los iPads de primera generación. El artículo que encontraréis a continuación lo ha escrito íntegramente: Luis Amadeo Fernández, desarrollador de aplicaciones para iOS, co-fundador de: WeevilSoft y co-creador de la aplicación: Tweetdrops. El artículo creo que no tiene desperdicio, ahí va:


Consecuencias del iOS 6 sobre los iPad de Primera Generación:

Ya ha pasado la reciente keynote donde se anunció la llegada del iPhone 5, así como la nueva hornada de iPods y como no, el tan esperado iOS6 que tantos cambios y cosas buenas nos trae.

Pero no todo lo que trae iOS6 es bueno. Como de tapadillo ha pasado debajo de la mesa que iOS6 que se pondrá a disposición de todo el mundo el próximo 19 de Septiembre (y actualmente disponible para todos los desarrolladores en su versión Gold Master) implica implícitamente el rotundo adiós a uno de los gran dispositivos de Apple que no es otro que el iPad de Primera Generación.

¿Pero qué está diciendo este tío? Se estarán preguntando, pero la respuesta es tan sencilla que pasa desapercibida.

Desde la anterior keynote, se anunció que iOS6 no estaría disponible para el iPad de Primera Generación, un gran grupo de internautas poseedores de este dispositivo que a penas tenía dos años y medio puso el grito en el cielo, pero desde los propios foros de Apple, sus comentarios eran "censurados" borrando sus mensajes porque o no gustaban, o decían demasiadas verdades o como decía la persona que borraba tus mensajes, no aportaba nada positivo al foro. Y por supuesto, tampoco aportaba nada positivo a los millones de usuarios que se les quedará la cara de asombro cuando vean que van a actualizar cualquiera de las aplicaciones que han comprado legítimamente y obtenga un fantástico mensaje en su dispositivo diciendo: "Esta aplicación es incompatible con este iPad". Pero bueno, por lo menos podrás seguir utilizando la versión antigua que tenías instalada.

Hasta aquí, todo podría ser asumible. Pero el problema surge si por error le dices al iTunes que actualice todas las aplicaciones (algo que suelo hacer con cierta frecuencia para mantener la librería de aplicaciones descargadas actualizadas). Algo tan inofensivo como actualizar las aplicaciones puede convertirse en un grave problema. Para entenderlo mejor pongamos un ejemplo, supongamos que hemos comprado las fantásticas aplicaciones de Apple: Page, Numbers, Keynote, Garage Band, etc. Cuando las compramos eran legítimas para el uso en nuestro dispositivo, en nuestro iPad que ahora incluso puede tener la versión 5.1.1 del iOS. 
Hasta aquí, todo muy bonito. Pero cuando Apple actualice toda su suite a la versión iOS 6, y por descuido las descargues y actualices con el iTunes, como por algún motivo tengas que restaurar esas aplicaciones, bien porque has restaurado el firmware en tu iPad, bien porque estabas en otra versión inferior y has querido pasarte a la última compatible con tu iPad, te será imposible instalar esa nueva versión de la aplicación que habías pagado e inclusive, desde el propio dispositivo te será imposible descargarla usando el itunes. Obtendrás en tu pantalla un hermoso error diciendo: "Esta aplicación es incompatible con este iPad".

Qué soluciones hay para evitar todo esto:

1.- Que el usuario no actualice sus aplicaciones con el iTunes y mantenga la última aplicación válida para su dispositivo. Les recuerdo que no valdrá que un amigo te deje el fichero de la aplicación (el famoso IPA) y que lo insertes en tu iTunes, ya que estas aplicaciones se descargan firmadas para el usuario que las compra.

2.- Que hagas una copia de seguridad del macro-directorio del iTunes por si en un futuro quieres buscar alguna aplicación que te era compatible con tu iPad de primera generación.

3.- Y la solución más lógica y honesta, sería que Apple en su grandiosa sapienza y aprovechando que es una de las compañías con más recursos del mundo y que actualmente está remodelado su tienda AppStore para hacerla más "bonita" para el iOS6 (personalmente me gustaba más como estaba antes) aprovechara e incluyera la opción de detectar que dispositivo quiere descarga una aplicación y proporcionarle la versión más actual compatible con sus sistema operativo. Esto sería lo que por honradez debería hacer Apple para con sus millones de usuarios que les han comprado el iPad de primera Generación y otros dispositivos como los antiguos iPhone 3G.

4.- Por último, la última opción que se me ocurre y personalmente la que más detesto, es hacer el jailbreak al iPad, que dicho sea de paso, una de las pocas ventajas de haberse quedado en la versión 5.1.1 es que hay jailbreak unthetered. Meter en el Cydia el repositorio del installous y su aplicación, y descargar de forma ILEGAL las aplicaciones que habíamos comprado de forma LEGAL y seguir usándolas como si nada hubiera pasado. Pero bueno, sería un verdadero engorro pudiendo hacer las cosas más fáciles y lícitamente.

Por qué a Apple no le interesa que podamos descargar la última versión compatible con el firmare que tenemos instalado.

Nada más salir una versión nueva el firmware, Apple manda unos animosos emails a los desarrolladores invitándonos a recompilar nuestras aplicaciones para la última versión, como si esto hiciera que nuestra aplicación se fuera a vender más y a funcionar mejor (en algunos casos, puede que funcionara mejor si hay algún fallo en el firmware que es corregido y que esté relacionada con nuestra aplicación, no digo que no, pero por lo general, no suele ser el caso).

El hecho es que cada vez que un desarrollador compila su aplicación con una versión superior, obliga a que los usuarios se mantengan actualizados con el último firmware del dispositivo si quiere hacer uso de esa nueva actualización. Una estupenda estrategia para obligar a los usuarios a avanzar con los intereses de Apple.

Bueno, llegados ya a este punto, uno puede preguntarse, por qué iOS6 sí saldrá para el iPhone 3GS aún cuando su características de memoria RAM y microprocesador son inferiores a la del iPad de 1Gen que es un equipo más moderno. Evidentemente hay intereses de las compañías de telefonía que aún tienen algo de stock de estos productos para que estos terminales no parezcan tan viejos como lo son y puedan liquidarlos con algún contrato de permanencia aunque sea a un costo muy bajo para el cliente comprador. De todas formas, la actualización del firmware del iPhone 3GS es en parte otro engaño, pues no incorporará todas las novedades que aparecerán para el iPhone 5 y el iPhone 4S. Inclusive el reciente iPhone 4 (sin la S) se queda sin algunas ventajas que absurdamente han eliminado para crear la diferencia, algo tan estúpido como el no poder hacer fotos panorámicas en un iPhone 4 (si no son malas mis informaciones). Detalles de este tipo, funciones incompletas sin ninguna explicación evidente más que el "no me da la gana, porque yo, Apple, así lo quiero". Y este es el mundo de Apple y estas son sus reglas, si te gusta, ya sabes pasa por caja $$$ y si no, es lo que hay.

Siempre habrá detractores que dirán que si el iPad 1 Gen no tiene suficiente memoria, o que ya es un equipo viejo, o que si los de Apple lo hacen sus razones tendrán. Miles de excusas pueden ser otorgadas para dar la razón a quien no la tiene (ya lo vemos todos los días en la Política). Evidentemente soy un poseedor de un iPad 1 Gen y me funciona a las mil maravillas para las cosas que hago, leer el correo, jugar, escribir este chorizo en el Pages, usarlo como apoyo didáctico a mi hija con las matemáticas, los idiomas y la tablet sigue totalmente operativa a pesar de un par de caídas accidentales al suelo. No hay razón para ahora convertirla en un aparato en vías de hacerse viejo, no atractivo para el futuro y mucho menos para su reventa.

Con la llegada de iOS6 y su no soporte al iPad 1Gen, Apple ha dejado clara nuevamente su política de obsolescencia programada de sus productos. Es incomprensible como un equipo estrella, que fue en su momento estandarte de la innovación de Apple haya quedado tan olvidado y relegado. Y lo peor de todo, que Apple no procure soporte para que aquellos usuarios que han comprado aplicaciones puedan seguir descargándolas de sus servicios si tuvieran la necesidad de restaurar sus dispositivos.

Creo que en cierto modo es un error esta estrategia porque deja resentimientos en sus usuarios (en los que entienden que le ha pasado a su iPad que ya no puede usar las nuevas actualizaciones) y bloquean un gran parque de dispositivos que pueden ser potenciales clientes para seguir comprando aplicaciones. Supongo que habrán pensado que sale más rentable obligar a la gente que se ha enganchado a comprar un Nuevo iPad, llámese en el futuro mini iPad, iPad 4 o nuevo novísimo iPad.

Así que si eres un poseedor de un iPad 1Gen, cuídalo mucho, no hagas muchas perrerías con el Cydia si lo tienes instalado  no vayas a verte obligado a restaurarlo. Y lo más importante, actualiza hoy todas tus aplicaciones compatibles con iOS 5.1.1 y haz una copia de seguridad para poder tenerlas accesibles en un futuro.

Por otro lado, si eres poseedor de Nuevo iPad dirás, bueno, a mí qué, esto no me afecta. Cierto, por ahora no te afecta, pero deja que pensar que en menos de dos años en medio de esta revolución tecnológica sin precedente, tu Nuevo iPad pasará a ser también otro producto obsoletamente programado.

Publicado por: Sergio Navas

Fundador y CEO del proyecto iSenaCode. Soy amante de la tecnología en todas sus vertientes, electrónico de profesión y un buscador incansable de la app perfecta ;)




Publicar un comentario

Destacado

¿Que dice nuestra comunidad?

Siguenos en las redes sociales



item